Instalacja Adobe Air oraz aplikacji na Magei

Home Fora Pomoc HOWTO, czyli “Jak to zrobić?” Instalacja Adobe Air oraz aplikacji na Magei

Ten wątek zawiera 35 odpowiedzi, ma 9 uczestników, ostatnio zmodyfikowany przez  waldek 1 rok temu.

Oglądasz 15 posty - 1 do 15 (z 36 ogółem)
  • Autor
    Posty
  • #665

    kyndek
    Participant

    Instalacja Adobe Air szczególnie od czasu zaprzestania wsparcia na systemach mandrivo-podobnych zawsze sprawiała wiele problemów. O ile jeszcze w wersji 32 bitowej po kilku kombinacjach to się udawało, to wersja 64 bitowa ostatnimi nawet po zastosowaniu tych “tricków” nie pozwalała na szczęśliwe zakończenie procesu instalacji. Trochę z zazdrością patrzyłem na systemy ubunto-podobne w wersji 64 bitowej, które choć nie bez problemów, dawały możliwość zainstalowania aplikacji pod Air. Dlatego co jakiś czas wracałem do testów na naszym systemie i ostatnio wpadłem na pomysł, by instalacji dokonać nie korzystając z wszelkich poradników, tylko bazować na tym, co wypluje konsola. I tak po kolei instalowałem potrzebne pakiety, o które prosił program. I o dziwo – instalacja się udała 🙂 Dlatego postanowiłem podzielić się wynikami i oczywiście prosić o sprawdzenie, czy rzeczywiście sposób jest uniwersalny.

    Instalacja dla Mageia 2 64-bit (testowane na LiveCD KDE)

    su
    urpmi libxslt1 libkwalletbackend4 libgtk+-x11-2.0_0 libnss3 libcanberra-gtk0 liboxygen-gtk0 libdbus-glib1_2 libxt6 rpm-build xterm
    urpmi http://mirror.internode.on.net/pub/mageia/distrib/1/i586/media/core/updates/librpm1-4.8.1-10.5.mga1.i586.rpm
    rpm -ivh https://dl.dropbox.com/u/59510554/adobeair.i386.rpm --ignorearch

    Instalacja dla Mageia 3 64-bit (testowane na LiveDVD KDE)

    su
    urpmi libxslt1 libkwalletbackend4 libgtk+-x11-2.0_0 libnss3 libcanberra-gtk0 liboxygen-gtk libdbus-glib1_2 libxt6 rpm-build xterm
    urpmi http://mirror.internode.on.net/pub/mageia/distrib/1/i586/media/core/updates/librpm1-4.8.1-10.5.mga1.i586.rpm
    rpm -ivh https://dl.dropbox.com/u/59510554/adobeair.i386.rpm --ignorearch

    Instalacja dla Mageia 2 i Mageia 3 32-bit (testowane na LiveCD KDE)

    su
    urpmi rpm-build xterm
    urpmi http://mirror.internode.on.net/pub/mageia/distrib/1/i586/media/core/updates/librpm1-4.8.1-10.5.mga1.i586.rpm
    rpm -ivh https://dl.dropbox.com/u/59510554/adobeair.i386.rpm --ignorearch

    O dziwo po takiej instalacji nie potrzebne są żadne podmiany bibliotek, instalujemy tylko starszą wersję librpm z Magei 1.
    Bez problemu zainstalowały się e-Deklaracje (do których należy doinstalować Adobe Reader) oraz Iplalite (która niestety już nie działa, bo wydawca zablokował możliwość odtwarzania z niej materiałów).
    Proszę więc o testowanie, jeśli rozwiązanie się sprawdzi, to powstanie paczuszka lub opcja w MGAExtra 🙂 Pozdrawiam.

    #666
    xpris
    xpris
    Participant

    Nono, nareszcie 🙂

    Instalowałem wedle instrukcji na Mageia 3 64bit i działa bez problemów. Na razie zdążyłem przetestować jedynie Wimp 2.3.0 i od razu zaktualizowałem go do wersji 2.3. Działa bez problemów. Jak znajdę chwilę czasu sprawdzę też inne aplikacje w tym e-deklaracje bo rozliczenia wciąż nie wysłałem 😛

    Sam się męczyłem dłuższy czas, ale bezskutecznie. Instalka .bin nie chciała ruszyć, natomiast znaleziony plik rpm z innej dystrybucji co prawda się zainstalował, ale nie pozwalał dokończyć instalacji aplikacji :/ Teraz wszystko działa, wielkie dzięki.
    Fajnie byłoby gdyby paczka paczka trafiła do repo 🙂

    #667
    napcok
    napcok
    Keymaster

    Brawo! Na pewno się przyda wielu osobom.

    Manjaro.PL | Linux is like a wigwam, no windows, no gates an Apache inside

    #674
    m123456
    m123456
    Moderator

    @kyndek
    Dołączam się do gratulacji. 🙂
    Niestety nie sprawdziłem Twojego rozwiązania, jednakże jeśli będzie działać, to proponuję pozostanie przy prostym skrypcie w shellu (np. http://repo.mageia.org.pl/testowe/air_install.sh ), który będzie można dodać do Mgaextra.

    Pozdrawiam.

    #1100

    krzysmxx
    Participant

    Cześć Koledzy,
    Nadszedł czas rozliczenia PIT-a za 2013, więc jak w poprzednim roku chciałem skorzystac z programu e-pity, a tu d… -> mimo w koncu szczęśliwego zainstalowania AdobeAIR z paczki rpm (skryptem air_install.sh), nadal nie mogę zainstalować prog. e-pity (błąd instalatora).
    Używam Magei 2 32-bit na x86
    W poprzednim roku (gdy e-pity działał) była to jeszcze Mageia 1
    Może jakieś pomysły ?
    Próbowałem tego:
    http://forums.fedoraforum.org/showpost.php?p=1499668&postcount=28
    ale też bez skutku 🙁

    #1191

    kyndek
    Participant

    Jeszcze jakiś czas temu skrypt działał, ponieważ sprawdzałem (przynajmniej przy instalacji e-deklaracji). Problem cały czas leży w instalacji aplikacji. Szukałem sposobu na ominięcie tego procesu i znalazłem ten wątek – http://forums.adobe.com/thread/23483. Sposób działa praktycznie na każdym distro. Jedyny problem to taki, że trzeba ręcznie pobrać nową wersję aplikacji, bo automatycznie jej nie zaktualizuje. Sprawdzone na e-deklaracje i e-pity. Oczywiście nie możemy zapomnieć o Adobe Reader oraz bibliotekach libxslt1 libkwalletbackend4 libnss3 libcanberra-gtk0 liboxygen-gtk libdbus-glib1_2. Pozdrawiam.

    #1226

    krzysmxx
    Participant

    Cześć kyndek, dzięki !
    A czy te biblioteki są konieczne, niezależnie np. czy system 32- czy 64-bit ?
    Bo ja zainstalowałem Adobe AIR z paczki RPM (z AdobeAIR.bin się nie udało) i system nie protestował ….
    pozdrav,
    Krzysiek

    #1227

    kyndek
    Participant

    Biblioteki masz zapewne zainstalowane, ponieważ korzystałeś ze skryptu @m123456. Na pewno potrzebna jest libxslt1 i libnss3, reszta to chyba już niekoniecznie… One są potrzebne do uruchomienia aplikacji, dlatego nie krzyczało przy instalacji pakietu rpm. Ale pamiętaj, że w tym rozwiązaniu nie korzystasz z wersji rpm (który to pakiet możesz nawet usunąć) a musisz pobrać ze strony ostatnią wersję Air-SDK dla linuksa, wrzucasz ją do katalogu (np. AIR-SDK) i rozpakowujesz, do drugiego katalogu rozpakowujesz plik.air (np. e-pity) i odpowiednio zmieniając ścieżki dostępu używasz tej komendy ~/AIR-SDK/bin/adl -nodebug ~/app/META-INF/AIR/application.xml ~/app Poradzisz? Może w chwili wolnej napiszę skrypt albo nasz bieglejszy w tym kolega @m123456 trzaśnie skrypcik 🙂

    #1228

    krzysmxx
    Participant

    Biblioteki libxslt1 i libnss3 miałem, pozostałe miałem też lub doinstalowałem, za wyjątkiem libdbus-glib1_2, którego to pakietu Mageia 2 nie zna

    CDN 🙂
    Krzysiek

    #1229

    kyndek
    Participant

    Dziwne, że nie zna. Oto on: http://mageia.madb.org/package/show/release/2/application/0/name/libdbus-glib1_2 🙂 Sprawdź przy okazji czy repozytoria są w porządku. 🙂

    #1230
    Norbi
    Norbi
    Participant

    Hmm, a nie łatwiej pobrać i zainstalować gotową paczkę? –> http://www.techspot.com/downloads/5244-adobe-air-for-linux.html

    Linux is funny 🙂

    #1231

    kyndek
    Participant

    @norbi – niestety, bo w paczce nie ma polecenia adl, dlatego potrzebujemy Adobeair-SDK 🙂

    #1247
    Norbi
    Norbi
    Participant

    Faktycznie, a swoją drogą szukałem paczki Adobe Air SDK w formacie .rpm i ….. nie znalazłem.

    Linux is funny 🙂

    #1272

    kyndek
    Participant

    Dlatego nie ma innego sposobu – trzeba pobrać i rozpakować samemu stąd: http://airdownload.adobe.com/air/lin/download/2.6/AdobeAIRSDK.tbz2 🙂

    #1273

    krzysmxx
    Participant

    Cześć Panowie,
    tę libdbus-glib1_2 to miałem, tylko szukałem libdbus-glibl_2 🙂
    Zrobiłem jak kyndek zaproponował, ale po ostatniej komendzie, czyli w katalogu
    gdzie wszystko jest (ścieżki są OK, pliki wg. mnie też są tam, gdzie powinny)
    ./bin/adl -nodebug ./META-INF/AIR/application.xml
    odwalił mi komunikat
    initial content not found

    Jakieś pomysły ?

Oglądasz 15 posty - 1 do 15 (z 36 ogółem)

Musisz być zalogowany aby odpowiedzieć w tym wątku.